/*******************************************************************************
 * Copyright (c) 2010 Attila Kovacs <attila_kovacs[AT]post.harvard.edu>.
 * All rights reserved. 
 * 
 * This file is part of crush.
 * 
 *     crush is free software: you can redistribute it and/or modify
 *     it under the terms of the GNU General Public License as published by
 *     the Free Software Foundation, either version 3 of the License, or
 *     (at your option) any later version.
 * 
 *     crush is distributed in the hope that it will be useful,
 *     but WITHOUT ANY WARRANTY; without even the implied warranty of
 *     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *     GNU General Public License for more details.
 * 
 *     You should have received a copy of the GNU General Public License
 *     along with crush.  If not, see <http://www.gnu.org/licenses/>.
 * 
 * Contributors:
 *     Attila Kovacs <attila_kovacs[AT]post.harvard.edu> - initial API and implementation
 ******************************************************************************/
// Copyright (c) 2010 Attila Kovacs 

package crush.polarization;

import crush.Scan;
import crush.array.Array;
import crush.sourcemodel.ScalarMap;
import crush.sourcemodel.SyncModMap;

public class SyncPolarMap<InstrumentType extends Array<?,?>, ScanType extends Scan<? extends InstrumentType, ?>>
extends PolarMap<InstrumentType, ScanType> {

	public SyncPolarMap(InstrumentType instrument) {
		super(instrument);
		// TODO Auto-generated constructor stub
	}

	@Override
	public ScalarMap<InstrumentType, ScanType> getMapInstance() {
		return new SyncModMap<InstrumentType, ScanType>(instrument);
	}
}
